org.licas.ws.wsdl.parse

## Class WsdlParameterParser

- java.lang.Object
- - org.licas.ws.wsdl.parse.WsdlParameterParser

-     public class WsdlParameterParser
      extends java.lang.Object

  This class can be used to parse a parameter to its Java equivalent. This is from a WSDL script description and not from other Java objects.
  Author:
    Kieran Greer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WsdlParameterParser(WsdlTypes theWsdlTypes)` Create a new instance of WsdlParameterParser.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WsdlParamInfo` | `parse(org.licas_xml.abs.Element rootElem)` Parse the next parameter type.
    `void` | `parseComplexType(WsdlParamInfo parameter, org.licas_xml.abs.Element rootElem, java.lang.String parentName)` Parse the complex type part of the parameter type.
    `void` | `parseSimpleType(WsdlParamInfo parameter, org.licas_xml.abs.Element rootElem, java.lang.String parentName)` Parse a simple type of enumeration defined values.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WsdlParameterParser

          public WsdlParameterParser(WsdlTypes theWsdlTypes)

      Create a new instance of WsdlParameterParser.
      Parameters:
        `theWsdlTypes` - the current wsdl types object.

  - ### Method Detail

    - #### parse

          public WsdlParamInfo parse(org.licas_xml.abs.Element rootElem)
                              throws java.lang.Exception

      Parse the next parameter type.
      Parameters:
        `rootElem` - the root element for the parameter.
      Returns:
        the parsed document.
      Throws:
        `java.lang.Exception` - any error.

    - #### parseComplexType

          public void parseComplexType(WsdlParamInfo parameter,
                                       org.licas_xml.abs.Element rootElem,
                                       java.lang.String parentName)
                                throws java.lang.Exception

      Parse the complex type part of the parameter type.
      Parameters:
        `parameter` - the parameter info to add the complex type to.
        `rootElem` - the root element for the parameter.
        `parentName` - the name of the parent element. Can be null.
      Throws:
        `java.lang.Exception` - any error.

    - #### parseSimpleType

          public void parseSimpleType(WsdlParamInfo parameter,
                                      org.licas_xml.abs.Element rootElem,
                                      java.lang.String parentName)
                               throws java.lang.Exception

      Parse a simple type of enumeration defined values.
      Parameters:
        `parameter` - the parameter info to add the complex type to.
        `rootElem` - the root element for the parameter.
        `parentName` - the name of the parent element. Can be null.
      Throws:
        `java.lang.Exception` - any error.